Name:           licensecheck
Version:        3.0.29
Release:        %mkrel 1
Summary:        Simple license checker for source files
Group:          System/Packaging
License:        GPLv3+
BuildArch:      noarch
URL:            http://search.cpan.org/dist/App-Licensecheck/
Source0:        http://search.cpan.org/CPAN/authors/id/J/JO/JONASS/App-Licensecheck-v%{version}.tar.gz

BuildRequires:  perl(autodie)
BuildRequires:  perl(experimental)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long::Descriptive)
BuildRequires:  perl(List::Util) >= 1.450.0
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Path::Iterator::Rule)
BuildRequires:  perl(Pod::Constants)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Sort::Key::Multi)
BuildRequires:  perl(strictures)
BuildRequires:  perl(String::Copyright)
BuildRequires:  perl(String::Escape)
BuildRequires:  perl(Test::Command)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Roo)
BuildRequires:  perl(Test::Script)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Utils)
BuildRequires:  perl(Types::Common::Numeric)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(UNIVERSAL::require)


%description
Licensecheck attempts to determine the license that applies to each file passed
to it, by searching the start of the file for text belonging to various
licenses.


%prep
%autosetup -n App-Licensecheck-v%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=%{buildroot}

# Remove .packlist
rm -f %{buildroot}%{perl_vendorarch}/auto/App/Licensecheck/.packlist

# Install bash-completions file
install -Dpm 0644 scripts/licensecheck.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/licensecheck


%check
make test


%files
%doc Changes README
%license LICENSE
%{_bindir}/licensecheck
%{_datadir}/bash-completion/
%{perl_vendorlib}/*
%{_mandir}/man1/licensecheck.1*
%{_mandir}/man3/App::Licensecheck.*
%{_mandir}/man3/Regexp::Pattern::License*


%changelog
* Sun May 07 2017 akien <akien> 3.0.29-1.mga6
+ Revision: 1099429
- Adapt for Mageia
- import licensecheck from Fedora 26

